A class that provides constant values for the 'RectangleUtil.fit' method.

### Hierarchy

- ScaleMode

## Index

### Properties

- NONE
- NO_BORDER
- SHOW_ALL

### Methods

- isValid

## Properties

### Static NONE

NONE: string

- Defined in lib/starling/utils/ScaleMode.d.ts:8

Specifies that the rectangle is not scaled, but simply centered within the specified area.

### Static NO_BORDER

NO_BORDER: string

- Defined in lib/starling/utils/ScaleMode.d.ts:12

Specifies that the rectangle fills the specified area without distortion but possibly with some cropping, while maintaining the original aspect ratio.

### Static SHOW_ALL

SHOW_ALL: string

- Defined in lib/starling/utils/ScaleMode.d.ts:17

Specifies that the entire rectangle will be scaled to fit into the specified area, while maintaining the original aspect ratio. This might leave empty bars at either the top and bottom, or left and right.

## Methods

### Static isValid

- isValid(scaleMode: string): boolean

- - Defined in lib/starling/utils/ScaleMode.d.ts:20

  Indicates whether the given scale mode string is valid.

  #### Parameters

  - ##### scaleMode: string

  #### Returns boolean

Generated using TypeDoc